Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02467 Crash/Freeze Critical (emulator) Always Sep 30, 2008, 16:14 Nov 30, 2011, 19:58
Tester Tafoid View Status Public Platform MAME (Self-compiled)
Assigned To galibert Resolution Fixed OS Windows 2000
Status [?] Resolved Driver segas24.cpp
Version 0.127u5 Fixed in Version 0.127u7 Build Normal
Summary 02467: qsww: Game Crashes
Description After the Warning screen and before the main title screen is to appear, there is a crash which exits MAME:

Backtrace:
Program received signal SIGSEGV, Segmentation fault.
0x00c996aa in cpu_readop16 (byteaddress=5541250) at src/emu/memory.h:956
956 INLINE UINT16 cpu_readop16(offs_t byteaddress) { extern opbase_
data opbase; if (address_is_unsafe(byteaddress)) { memory_set_opbase(byteaddress
); } return cpu_readop16_unsafe(byteaddress); }
(gdb) bt full
#0 0x00c996aa in cpu_readop16 (byteaddress=5541250) at src/emu/memory.h:956
No locals.
#1 0x00c996aa in cpu_readop16 (byteaddress=119398840) at src/emu/memory.h:956
No locals.
#2 0x00c996aa in cpu_readop16 (byteaddress=1016) at src/emu/memory.h:956
No locals.
#3 0x00c996aa in cpu_readop16 (byteaddress=1016) at src/emu/memory.h:956
No locals.
#4 0x00c996aa in cpu_readop16 (byteaddress=1) at src/emu/memory.h:956
No locals.
#5 0x00c996aa in cpu_readop16 (byteaddress=119398840) at src/emu/memory.h:956
No locals.
#6 0x00c996aa in cpu_readop16 (byteaddress=118569992) at src/emu/memory.h:956
No locals.
#7 0x00c996aa in cpu_readop16 (byteaddress=3) at src/emu/memory.h:956
No locals.
#8 0x00c996aa in cpu_readop16 (byteaddress=3) at src/emu/memory.h:956
No locals.
#9 0x00c996aa in cpu_readop16 (byteaddress=2147348480)
    at src/emu/memory.h:956
No locals.
#10 0x00c996aa in cpu_readop16 (byteaddress=1) at src/emu/memory.h:956
No locals.
#11 0x00c996aa in cpu_readop16 (byteaddress=0) at src/emu/memory.h:956
No locals.
#12 0x00c996aa in cpu_readop16 (byteaddress=4199040) at src/emu/memory.h:956
No locals.

For some reason, my backtraces don't seem to come out very good. If someone can get an improved one - please post.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.127u1
Affected Sets / Systems qsww
Attached Files
 
Relationships
related to 02292Resolvedgalibert dcclubfd, gground, ggroundj, roughrac, sgmastc, sgmastj : Game doesn't start 
Notes
3
User avatar
No.02653
Fujix
Administrator
Oct 1, 2008, 14:21
No crash for me, just a blue screen appears and stops. Emulation is working.
User avatar
No.02654
etabeta
Developer
Oct 1, 2008, 15:27
blue screen in sdlmame as well
User avatar
No.07917
haynor666
Tester
Nov 30, 2011, 19:58
now game hangs on title screen